%define oname   database_cleaner

Name:       ruby-%{oname}
Version:    0.5.2
Release:    %mkrel 1
Summary:    Strategies for cleaning databases
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/bmabey/database_cleaner
Source0:    %{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Strategies for cleaning databases.  Can be used to ensure a clean state for
testing.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.textile
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/database_cleaner/active_record/truncation.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 0.5.2-1.mga1
+ Revision: 51336
- imported package ruby-database_cleaner


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.2-1
- Initial package
